Functions
IRQ Handler and Callbacks
Peripheral Driver » HAL Driver » DUAL TIMER » Functions

IRQ Handler and Callbacks functions. More...

## Functions
void | hal_dual_timer_irq_handler (dual_timer_handle_t *p_dual_timer)
| Handle DUAL TIMER interrupt request. More...
void | hal_dual_timer_period_elapsed_callback (dual_timer_handle_t *p_dual_timer)
| Period elapsed callback in non-blocking mode. More...
void | hal_dual_timer_act_start_event_callback (dual_timer_handle_t *p_dual_timer)
| Action when timer start callback in non-blocking mode. More...
void | hal_dual_timer_ioa_act_c1_event_callback (dual_timer_handle_t *p_dual_timer)
| Action when timer value meets to COUNT_A1IO callback in non-blocking mode. More...
void | hal_dual_timer_ioa_act_c2_event_callback (dual_timer_handle_t *p_dual_timer)
| Action when timer value meets to COUNT_A2IO callback in non-blocking mode. More...
void | hal_dual_timer_act_period_event_callback (dual_timer_handle_t *p_dual_timer)
| Action when timer value meets to 0 callback in non-blocking mode. More...
void | hal_dual_timer_act_stop_event_callback (dual_timer_handle_t *p_dual_timer)
| Action when timer stop callback in non-blocking mode. More...
void | hal_dual_timer_iob_act_c1_event_callback (dual_timer_handle_t *p_dual_timer)
| Action when timer value meets to COUNT_B1IO callback in non-blocking mode. More...
void | hal_dual_timer_iob_act_c2_event_callback (dual_timer_handle_t *p_dual_timer)
| Action when timer value meets to COUNT_B2IO callback in non-blocking mode. More...
void | hal_dual_timer_ioc_act_c1_event_callback (dual_timer_handle_t *p_dual_timer)
| Action when timer value meets to COUNT_C1IO callback in non-blocking mode. More...
void | hal_dual_timer_ioc_act_c2_event_callback (dual_timer_handle_t *p_dual_timer)
| Action when timer value meets to COUNT_C2IO callback in non-blocking mode. More...
void | hal_dual_timer_ble_pulse1_event_callback (dual_timer_handle_t *p_dual_timer)
| Action when timer value meets to BLE_COUNT1 callback in non-blocking mode. More...
void | hal_dual_timer_ble_pulse2_event_callback (dual_timer_handle_t *p_dual_timer)
| Action when timer value meets to BLE_COUNT2 callback in non-blocking mode. More...

## Detailed Description

IRQ Handler and Callbacks functions.

## Function Documentation

## ◆ hal_dual_timer_act_period_event_callback()

void hal_dual_timer_act_period_event_callback | ( | dual_timer_handle_t * | p_dual_timer | ) |

Action when timer value meets to 0 callback in non-blocking mode.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_act_period_event_callback can be implemented in the user file.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_act_start_event_callback()

void hal_dual_timer_act_start_event_callback | ( | dual_timer_handle_t * | p_dual_timer | ) |

Action when timer start callback in non-blocking mode.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_act_start_event_callback can be implemented in the user file.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_act_stop_event_callback()

void hal_dual_timer_act_stop_event_callback | ( | dual_timer_handle_t * | p_dual_timer | ) |

Action when timer stop callback in non-blocking mode.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_act_stop_event_callback can be implemented in the user file.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_ble_pulse1_event_callback()

void hal_dual_timer_ble_pulse1_event_callback | ( | dual_timer_handle_t * | p_dual_timer | ) |

Action when timer value meets to BLE_COUNT1 callback in non-blocking mode.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_ioc_act_c1_event_callback can be implemented in the user file.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_ble_pulse2_event_callback()

void hal_dual_timer_ble_pulse2_event_callback | ( | dual_timer_handle_t * | p_dual_timer | ) |

Action when timer value meets to BLE_COUNT2 callback in non-blocking mode.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_ioc_act_c1_event_callback can be implemented in the user file.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_ioa_act_c1_event_callback()

void hal_dual_timer_ioa_act_c1_event_callback | ( | dual_timer_handle_t * | p_dual_timer | ) |

Action when timer value meets to COUNT_A1IO callback in non-blocking mode.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_ioa_act_c1_event_callback can be implemented in the user file.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_ioa_act_c2_event_callback()

void hal_dual_timer_ioa_act_c2_event_callback | ( | dual_timer_handle_t * | p_dual_timer | ) |

Action when timer value meets to COUNT_A2IO callback in non-blocking mode.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_ioa_act_c1_event_callback can be implemented in the user file.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_iob_act_c1_event_callback()

void hal_dual_timer_iob_act_c1_event_callback | ( | dual_timer_handle_t * | p_dual_timer | ) |

Action when timer value meets to COUNT_B1IO callback in non-blocking mode.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_iob_act_c1_event_callback can be implemented in the user file.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_iob_act_c2_event_callback()

void hal_dual_timer_iob_act_c2_event_callback | ( | dual_timer_handle_t * | p_dual_timer | ) |

Action when timer value meets to COUNT_B2IO callback in non-blocking mode.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_iob_act_c1_event_callback can be implemented in the user file.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_ioc_act_c1_event_callback()

void hal_dual_timer_ioc_act_c1_event_callback | ( | dual_timer_handle_t * | p_dual_timer | ) |

Action when timer value meets to COUNT_C1IO callback in non-blocking mode.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_ioc_act_c1_event_callback can be implemented in the user file.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_ioc_act_c2_event_callback()

void hal_dual_timer_ioc_act_c2_event_callback | ( | dual_timer_handle_t * | p_dual_timer | ) |

Action when timer value meets to COUNT_C2IO callback in non-blocking mode.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_ioc_act_c1_event_callback can be implemented in the user file.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_irq_handler()

void hal_dual_timer_irq_handler | ( | dual_timer_handle_t * | p_dual_timer | ) |

Handle DUAL TIMER interrupt request.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

## ◆ hal_dual_timer_period_elapsed_callback()

void hal_dual_timer_period_elapsed_callback | ( | dual_timer_handle_t * | p_dual_timer | ) |

Period elapsed callback in non-blocking mode.

Note
  This function should not be modified. When the callback is needed, the hal_dual_timer_period_elapsed_callback can be implemented in the user file.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.